[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#592550: String freeze for Debian Installer



Le Sat, Apr 21, 2012 at 04:13:53PM +0200, Christian PERRIER a écrit :

> Even if not very important, I recommend avoiding interrogative form in
> the long part.

> Add a comment for translators and move to sublevel 6

Thanks for the proofreading.  I attached an additional patch that can be
applied on top of the other ones.

I have the impression that I may have confused you by sending a stack of
interdependant patches in my previous email.  If you are not going to apply
them with the 'git am' command, I attached a monolithic patch as a replacement.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
>From d1399b53ba3d7ec41fb39cb2e64834d89d973308 Mon Sep 17 00:00:00 2001
From: Charles Plessy <plessy@debian.org>
Date: Tue, 24 Apr 2012 09:37:12 +0900
Subject: [PATCH 5/5] Proofread by C. Perrier.

Message-ID: <[🔎] 20120421141353.GB3733@mykerinos.kheops.frmug.org>
---
 debian/network-console.templates |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/debian/network-console.templates b/debian/network-console.templates
index 26c19fa..40e056a 100644
--- a/debian/network-console.templates
+++ b/debian/network-console.templates
@@ -79,14 +79,14 @@ _Description: Start SSH
 Template: network-console/authorized_keys_url
 Type: string
 Description: for internal use; can be preseeded
- URL to a list of authorized SSH public keys.
- .
- The file at the given URL should be of the same form as a standard SSH
- authorized_keys file.
+ This variable contains the URL that provides a list of authorized
+ SSH public keys 
 
 Template: network-console/authorized_keys_fetch_failure
 Type: error
 # :sl6:
+#flag:comment:2
+# Translators: do NOT translate the "LOCATION" variable name
 _Description: Could not fetch SSH authorized keys
  An error occurred while fetching SSH authorized keys from ${LOCATION}.
  .
-- 
1.7.9.5

diff --git a/debian/changelog b/debian/changelog
index 43ac6c4..82cce35 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+network-console (1.31) UNRELEASED; urgency=low
+
+  [ Matt T. Proud ]
+  * Add support for public-key authentication (Closes:#592550, LP: #184108).
+
+  [ Charles Plessy ]
+  * Mark authorized_keys_fetch_failure for translation, sublevel 6.
+
+ -- Charles Plessy <plessy@debian.org>  Sat, 21 Apr 2012 12:22:26 +0900
+
 network-console (1.30) unstable; urgency=low
 
   [ Updated translations ]
diff --git a/debian/network-console.postinst b/debian/network-console.postinst
index c5c0560..cbfe825 100755
--- a/debian/network-console.postinst
+++ b/debian/network-console.postinst
@@ -26,7 +26,30 @@ case "$ARCHDETECT" in
 	;;
 esac
 
-while [ -z "$PASSWORD" ]; do
+db_get $TEMPLATE_ROOT/authorized_keys_url
+
+AUTHORIZED_KEYS_URL="$RET"
+AUTHORIZED_KEYS_DIRECTORY="/.ssh"
+AUTHORIZED_KEYS_FILE="$AUTHORIZED_KEYS_DIRECTORY/authorized_keys"
+
+if [ -n "$AUTHORIZED_KEYS_URL" ]; then
+	if [ ! -f "$AUTHORIZED_KEYS_FILE" ]; then
+		[ -d "$AUTHORIZED_KEYS_DIRECTORY" ] || \
+		    mkdir "$AUTHORIZED_KEYS_DIRECTORY"
+		chmod 0700 "$AUTHORIZED_KEYS_DIRECTORY"
+		if ! wget -q "$AUTHORIZED_KEYS_URL" -O "$AUTHORIZED_KEYS_FILE"; then
+			db_subst $TEMPLATE_ROOT/authorized_keys_fetch_failure \
+			    LOCATION "$AUTHORIZED_KEYS_URL"
+			db_input critical $TEMPLATE_ROOT/authorized_keys_fetch_failure \
+			    || true
+			db_go
+			exit 1
+		fi
+		chmod 0644 "$AUTHORIZED_KEYS_FILE" || true
+	fi
+fi
+
+while [ ! -f "$AUTHORIZED_KEYS_FILE" ] && [ -z "$PASSWORD" ]; do
 	db_input critical $TEMPLATE_ROOT/password || true
 	COMPARE_PW=''
 	db_input high $TEMPLATE_ROOT/password-again && COMPARE_PW=1 || true
diff --git a/debian/network-console.templates b/debian/network-console.templates
index 4439379..40e056a 100644
--- a/debian/network-console.templates
+++ b/debian/network-console.templates
@@ -75,3 +75,19 @@ _Description: Start SSH
  .
  Please check this carefully against the fingerprint reported by
  your SSH client.
+
+Template: network-console/authorized_keys_url
+Type: string
+Description: for internal use; can be preseeded
+ This variable contains the URL that provides a list of authorized
+ SSH public keys 
+
+Template: network-console/authorized_keys_fetch_failure
+Type: error
+# :sl6:
+#flag:comment:2
+# Translators: do NOT translate the "LOCATION" variable name
+_Description: Could not fetch SSH authorized keys
+ An error occurred while fetching SSH authorized keys from ${LOCATION}.
+ .
+ Check /var/log/syslog or see virtual console 4 for the details.

Reply to: